curl --request POST \
--url https://api.example.com/obras \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"ejercicioFiscalId": 123,
"claveUnica": "<string>",
"nombre": "<string>",
"descripcion": "<string>",
"dependenciaId": 123,
"monto": 123,
"municipioId": 123,
"tipoProyectoId": 123,
"estatusObraId": 123,
"ubicaciones": [
{
"municipioId": 123,
"direccion": "<string>",
"localidadReferencia": "<string>",
"referenciaLugar": "<string>",
"tipoGeometria": "<string>",
"geometriaJson": {},
"orden": 123
}
]
}
'{
"id": 123,
"numeroObra": 123,
"claveUnica": "<string>",
"nombre": "<string>",
"descripcion": "<string>",
"monto": 123,
"ejercicioFiscalId": 123,
"dependenciaId": 123,
"municipioId": 123,
"tipoProyectoId": 123,
"estatusObraId": 123,
"ubicaciones": [
{}
]
}curl --request POST \
--url https://api.example.com/obras \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"ejercicioFiscalId": 123,
"claveUnica": "<string>",
"nombre": "<string>",
"descripcion": "<string>",
"dependenciaId": 123,
"monto": 123,
"municipioId": 123,
"tipoProyectoId": 123,
"estatusObraId": 123,
"ubicaciones": [
{
"municipioId": 123,
"direccion": "<string>",
"localidadReferencia": "<string>",
"referenciaLugar": "<string>",
"tipoGeometria": "<string>",
"geometriaJson": {},
"orden": 123
}
]
}
'{
"id": 123,
"numeroObra": 123,
"claveUnica": "<string>",
"nombre": "<string>",
"descripcion": "<string>",
"monto": 123,
"ejercicioFiscalId": 123,
"dependenciaId": 123,
"municipioId": 123,
"tipoProyectoId": 123,
"estatusObraId": 123,
"ubicaciones": [
{}
]
}Creates a new public work (obra) with automatic sequential numbering within the fiscal year.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/LizandroCanul/back_sdo/llms.txt
Use this file to discover all available pages before exploring further.
Authorization: Bearer YOUR_JWT_TOKEN
application/jsonPUNTO, RUTA, or POLIGONO (optional, defaults to PUNTO)numeroObra field is automatically generated based on the fiscal year and does not need to be provided.curl -X POST "https://api.yucatan.gob.mx/obras" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
-H "Content-Type: application/json" \
-d '{
"ejercicioFiscalId": 1,
"claveUnica": "OBRA-2024-001",
"nombre": "Construcción de Escuela Primaria",
"descripcion": "Construcción de escuela primaria con 6 aulas",
"dependenciaId": 1,
"monto": 2500000.00,
"municipioId": 1,
"tipoProyectoId": 1,
"estatusObraId": 1,
"ubicaciones": [
{
"municipioId": 1,
"direccion": "Calle 60 x 59, Col. Centro",
"localidadReferencia": "Centro",
"referenciaLugar": "Cerca del parque principal",
"tipoGeometria": "PUNTO",
"geometriaJson": {
"type": "Point",
"coordinates": [-89.6247, 20.9674]
},
"orden": 0
}
]
}'
{
"id": 1,
"numeroObra": 1,
"claveUnica": "OBRA-2024-001",
"nombre": "Construcción de Escuela Primaria",
"descripcion": "Construcción de escuela primaria con 6 aulas",
"monto": 2500000.00,
"ejercicioFiscalId": 1,
"dependenciaId": 1,
"municipioId": 1,
"tipoProyectoId": 1,
"estatusObraId": 1,
"ubicaciones": [
{
"id": 1,
"municipioId": 1,
"direccion": "Calle 60 x 59, Col. Centro",
"localidadReferencia": "Centro",
"referenciaLugar": "Cerca del parque principal",
"tipoGeometria": "PUNTO",
"geometriaJson": {
"type": "Point",
"coordinates": [-89.6247, 20.9674]
},
"orden": 0
}
]
}
{
"statusCode": 401,
"message": "Unauthorized"
}
{
"statusCode": 403,
"message": "Forbidden resource",
"error": "Forbidden"
}
{
"statusCode": 400,
"message": [
"ejercicioFiscalId must be a number",
"claveUnica should not be empty",
"nombre should not be empty",
"monto must be a positive number"
],
"error": "Bad Request"
}
{
"statusCode": 409,
"message": "La Clave Única 'OBRA-2024-001' ya existe.",
"error": "Conflict"
}
claveUnica already exists in the database.